Bug 575494 (perl-Test-TCP) - Review Request: perl-Test-TCP - TCP program testing utilities
Summary: Review Request: perl-Test-TCP - TCP program testing utilities
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Test-TCP
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Test-TCP
Whiteboard:
Depends On: 575491
Blocks: perl-Plack, plack 579376
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:25 UTC by Chris Weyl
Modified: 2012-01-16 16:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-05 04:57:03 UTC
emmanuel: fedora-review+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:25:38 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-TCP.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-TCP-0.16-1.fc12.src.rpm

Description:
Test::TCP provides utilities to assist in testing TCP/IP programs.

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-03-25 23:20:12 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-04-04 18:18:18 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2094630

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: http://koji.fedoraproject.org/koji/taskinfo?taskID=2094630
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
803ebb2e4770d8634d8a60ce147abcf8  Test-TCP-0.16.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: rawhide.x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=7, Tests=32,  5 wallclock secs ( 0.02 usr  0.00 sys +  0.71 cusr  0.10 csys =  0.83 CPU)
Result: PASS

APPROVED.

Comment 3 Chris Weyl 2010-04-04 18:44:05 UTC
New Package CVS Request
=======================
Package Name: perl-Test-TCP
Short Description: TCP program testing utilities
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-04-05 04:06:34 UTC
cvs done.

Comment 5 Chris Weyl 2010-04-05 04:57:03 UTC
Thanks for the review! :-)

Comment 6 Petr Pisar 2012-01-16 09:00:26 UTC
Package Change Request
======================
Package Name: perl-Test-TCP
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 7 Gwyn Ciesla 2012-01-16 16:57:38 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.